For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Extensions
              • POSTCreate Extension
              • GETGet Extension
              • PUTUpdate Extension
              • DELDelete Extension
Dev Portal
LogoLogo
Closed Beta ProgramsCheckout ExtensionsAPI ReferenceExtensions

Create Extension

Beta
POST
https://api.bigcommerce.com/stores/:store_hash/v3/checkouts/extensions
POST
/stores/:store_hash/v3/checkouts/extensions
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/checkouts/extensions \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "id": "2d393dfe-934b-4ad9-a3e6-25f40c5946b2",
4 "name": "name test 1",
5 "description": "Checkout Extension",
6 "region": "shipping.shippingAddressForm.after",
7 "url": "https://example.com",
8 "enabled": true,
9 "created_at": "2023-11-15T22:53:18Z",
10 "updated_at": "2023-11-15T22:53:18Z"
11 },
12 "meta": {}
13}
Creates an extension.
Was this page helpful?
Previous

List Extensions

Next

Get Extension

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Checkouts | modify | `store_checkouts` | | Checkouts | read-only | `store_checkouts_read_only` | | Checkout Content | modify | `store_checkout_content` | | Checkout Content | read-only | `store_checkout_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
namestringOptional
The name of the extension.
regionstringOptional
Shipping region.
urlstringOptional
Extension URL.
enabledbooleanOptional
Whether the extension is currently active at checkout.

Response

dataobject
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Checkoutsmodifystore_checkouts
Checkoutsread-onlystore_checkouts_read_only
Checkout Contentmodifystore_checkout_content
Checkout Contentread-onlystore_checkout_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.